kind: Deployment
apiVersion: apps/v1
metadata:
  annotations:
    deployment.kubernetes.io/revision: '3'
  resourceVersion: '13258722'
  name: devfile-registry
  uid: fcddb828-b286-4b90-ac94-b4fc4a9b1d85
  creationTimestamp: '2022-10-07T20:56:49Z'
  generation: 3
  managedFields:
    - manager: kube-controller-manager
      operation: Update
      apiVersion: apps/v1
      time: '2022-10-07T23:12:44Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:deployment.kubernetes.io/revision': {}
        'f:status':
          'f:availableReplicas': {}
          'f:conditions':
            .: {}
            'k:{"type":"Available"}':
              .: {}
              'f:lastTransitionTime': {}
              'f:lastUpdateTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Progressing"}':
              .: {}
              'f:lastTransitionTime': {}
              'f:lastUpdateTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
          'f:observedGeneration': {}
          'f:readyReplicas': {}
          'f:replicas': {}
          'f:unavailableReplicas': {}
          'f:updatedReplicas': {}
      subresource: status
    - manager: manager
      operation: Update
      apiVersion: apps/v1
      time: '2022-10-07T23:12:44Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:labels':
            .: {}
            'f:app': {}
            'f:app.kubernetes.io/component': {}
            'f:app.kubernetes.io/instance': {}
            'f:app.kubernetes.io/managed-by': {}
            'f:app.kubernetes.io/name': {}
            'f:app.kubernetes.io/part-of': {}
            'f:component': {}
          'f:ownerReferences':
            .: {}
            'k:{"uid":"d0c57b4b-98f5-4e83-9903-b5a0de8380f7"}': {}
        'f:spec':
          'f:progressDeadlineSeconds': {}
          'f:replicas': {}
          'f:revisionHistoryLimit': {}
          'f:selector': {}
          'f:strategy':
            'f:rollingUpdate':
              .: {}
              'f:maxSurge': {}
              'f:maxUnavailable': {}
            'f:type': {}
          'f:template':
            'f:metadata':
              'f:labels':
                .: {}
                'f:app': {}
                'f:app.kubernetes.io/component': {}
                'f:app.kubernetes.io/instance': {}
                'f:app.kubernetes.io/managed-by': {}
                'f:app.kubernetes.io/name': {}
                'f:app.kubernetes.io/part-of': {}
                'f:component': {}
            'f:spec':
              'f:containers':
                'k:{"name":"devfile-registry"}':
                  'f:envFrom': {}
                  'f:image': {}
                  'f:terminationMessagePolicy': {}
                  .: {}
                  'f:resources':
                    .: {}
                    'f:limits':
                      .: {}
                      'f:cpu': {}
                      'f:memory': {}
                    'f:requests':
                      .: {}
                      'f:cpu': {}
                      'f:memory': {}
                  'f:livenessProbe':
                    .: {}
                    'f:failureThreshold': {}
                    'f:httpGet':
                      .: {}
                      'f:path': {}
                      'f:port': {}
                      'f:scheme': {}
                    'f:initialDelaySeconds': {}
                    'f:periodSeconds': {}
                    'f:successThreshold': {}
                    'f:timeoutSeconds': {}
                  'f:env':
                    .: {}
                    'k:{"name":"CM_REVISION"}':
                      .: {}
                      'f:name': {}
                      'f:value': {}
                  'f:readinessProbe':
                    .: {}
                    'f:failureThreshold': {}
                    'f:httpGet':
                      .: {}
                      'f:path': {}
                      'f:port': {}
                      'f:scheme': {}
                    'f:initialDelaySeconds': {}
                    'f:periodSeconds': {}
                    'f:successThreshold': {}
                    'f:timeoutSeconds': {}
                  'f:securityContext':
                    .: {}
                    'f:allowPrivilegeEscalation': {}
                    'f:capabilities':
                      .: {}
                      'f:drop': {}
                  'f:terminationMessagePath': {}
                  'f:imagePullPolicy': {}
                  'f:ports':
                    .: {}
                    'k:{"containerPort":8080,"protocol":"TCP"}':
                      .: {}
                      'f:containerPort': {}
                      'f:name': {}
                      'f:protocol': {}
                  'f:name': {}
              'f:dnsPolicy': {}
              'f:restartPolicy': {}
              'f:schedulerName': {}
              'f:securityContext': {}
              'f:terminationGracePeriodSeconds': {}
  namespace: openshift-devspaces
  ownerReferences:
    - apiVersion: org.eclipse.che/v2
      kind: CheCluster
      name: devspaces
      uid: d0c57b4b-98f5-4e83-9903-b5a0de8380f7
      controller: true
      blockOwnerDeletion: true
  labels:
    app: devspaces
    app.kubernetes.io/component: devfile-registry
    app.kubernetes.io/instance: devspaces
    app.kubernetes.io/managed-by: devspaces-operator
    app.kubernetes.io/name: devspaces
    app.kubernetes.io/part-of: che.eclipse.org
    component: devfile-registry
spec:
  replicas: 1
  selector:
    matchLabels:
      app: devspaces
      component: devfile-registry
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: devspaces
        app.kubernetes.io/component: devfile-registry
        app.kubernetes.io/instance: devspaces
        app.kubernetes.io/managed-by: devspaces-operator
        app.kubernetes.io/name: devspaces
        app.kubernetes.io/part-of: che.eclipse.org
        component: devfile-registry
    spec:
      containers:
        - resources:
            limits:
              cpu: 500m
              memory: 256Mi
            requests:
              cpu: 100m
              memory: 32Mi
          readinessProbe:
            httpGet:
              path: /devfiles/
              port: 8080
              scheme: HTTP
            initialDelaySeconds: 3
            timeoutSeconds: 3
            periodSeconds: 10
            successThreshold: 1
            failureThreshold: 10
          terminationMessagePath: /dev/termination-log
          name: devfile-registry
          livenessProbe:
            httpGet:
              path: /devfiles/
              port: 8080
              scheme: HTTP
            initialDelaySeconds: 30
            timeoutSeconds: 3
            periodSeconds: 10
            successThreshold: 1
            failureThreshold: 10
          env:
            - name: CM_REVISION
              value: '13176698'
          securityContext:
            capabilities:
              drop:
                - ALL
            allowPrivilegeEscalation: false
          ports:
            - name: http
              containerPort: 8080
              protocol: TCP
          imagePullPolicy: IfNotPresent
          terminationMessagePolicy: File
          envFrom:
            - configMapRef:
                name: devfile-registry
                optional: true
          image: >-
            registry.redhat.io/devspaces/devfileregistry-rhel8@sha256:9990c5a1ed6d451c81e1b985139e70cdc5b5ed79ba22b62b4ac5b266eb8cd078
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
      dnsPolicy: ClusterFirst
      securityContext: {}
      schedulerName: default-scheduler
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 25%
      maxSurge: 25%
  revisionHistoryLimit: 2
  progressDeadlineSeconds: 600
status:
  observedGeneration: 3
  replicas: 2
  updatedReplicas: 1
  readyReplicas: 1
  availableReplicas: 1
  unavailableReplicas: 1
  conditions:
    - type: Available
      status: 'True'
      lastUpdateTime: '2022-10-07T21:56:13Z'
      lastTransitionTime: '2022-10-07T21:56:13Z'
      reason: MinimumReplicasAvailable
      message: Deployment has minimum availability.
    - type: Progressing
      status: 'False'
      lastUpdateTime: '2022-10-07T23:22:45Z'
      lastTransitionTime: '2022-10-07T23:22:45Z'
      reason: ProgressDeadlineExceeded
      message: ReplicaSet "devfile-registry-6d789599b8" has timed out progressing.
